<?php
/**
 * Action Plugin: Inserts a button into the toolbar to add html tags
 *
 * @author Heiko Barth
 */
 
if (!defined('DOKU_INC')) die();
if (!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN', DOKU_INC . 'lib/plugins/');
require_once (DOKU_PLUGIN . 'action.php');
 
class action_plugin_htmlbutton extends DokuWiki_Action_Plugin {
 
    /**
     * Return some info
     */
    function getInfo() {
        return array (
            'author' => 'Heiko Barth',
            'date' => '2011-12-18',
            'name' => 'Toolbar HTML Button',
            'desc' => 'Inserts a html button into the toolbar',
            'url' => 'http://www.heiko-barth.de/download.php?id=dw_htmlbutton',
        );
    }
 
    /**
     * Register the eventhandlers
     */
    function register(&$controller) {
        $controller->register_hook('TOOLBAR_DEFINE', 'AFTER', $this, 'insert_button', array ());
    }
 
    /**
     * Inserts the toolbar button
     */
    function insert_button(& $event, $param) {
        $event->data[] = array (
            'type' => 'format',
            'title' => $this->getLang('insertcode'),
            'icon' => '../../plugins/htmlbutton/pix/html.gif',
            'open' => '<html>\n',
            'close' => '\n</html>',
        );
    }
 
}
